Draft Line/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/it|Name=Draft Line|Name/it=Linea|Workbenches=Draft, Architettura|MenuLocation=Draft → Linea|Shortcut=L I|SeeAlso=Draft ...")
(Created page with "Crea un segmento tra due punti nel piano di lavoro corrente. Il segmento assume il tipo di linea e il colore impostati in prec...")
Line 1: Line 1:
{{GuiCommand/it|Name=Draft Line|Name/it=Linea|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Linea|Shortcut=L I|SeeAlso=Draft → [[Draft Wire/it|DWire]]}}
{{GuiCommand/it|Name=Draft Line|Name/it=Linea|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Linea|Shortcut=L I|SeeAlso=Draft → [[Draft Wire/it|DWire]]}}


Crea un segmento tra due punti nel [[Draft Workingplane/it|piano di lavoro]] corrente. Il segmento assume [[Draft Linestyle/it|il tipo di linea e il colore]] impostati in precedenza nella Barra dei comandi e modificabili tramite la stessa o nella scheda '''Vista combinata → Proprietà → Vista'''. Lo strumento Linea si comporta esattamente come lo strumento [[Draft Wire/it|DWire]] di Draft, tranne che si disattiva dopo che sono stati definiti due punti.
==Description==
The Line tool creates a straight, two-points line in the current [[Draft Workingplane|work plane]]. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab. The Line tool behaves exactly like the [[Draft Wire]] tool, except that it stops after two points.


[[Image:Draft_Line_example.jpg|400px]]
[[Image:Draft_Line_example.jpg|400px]]

Revision as of 21:16, 3 January 2014

Linea

Posizione nel menu
Draft → Linea
Ambiente
Draft, Architettura
Avvio veloce
L I
Introdotto nella versione
-
Vedere anche
Draft → DWire

Crea un segmento tra due punti nel piano di lavoro corrente. Il segmento assume il tipo di linea e il colore impostati in precedenza nella Barra dei comandi e modificabili tramite la stessa o nella scheda Vista combinata → Proprietà → Vista. Lo strumento Linea si comporta esattamente come lo strumento DWire di Draft, tranne che si disattiva dopo che sono stati definiti due punti.

How to use

  1. Press the Draft Line button, or press L then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • DatiStart: The start point
  • DatiEnd: The end point

Scripting

The Line tool can by used in macros and from the python console by using the following function:

{{Code|code=
makeLine (Vector, Vector)
}}
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

{{Code|code=
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}